Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.
nombre réponses : 25

#0 Re : -1 »  Chromecast, Ubuntu et le libre en général » Le 31/08/2014, à 16:06

patfrat
Réponses : 20

Salut à tous

Pour ma part, avec mon Chromecast, j'utilise Plex mais pas la version du dépôt.
Plutôt celle téléchargeable sur leur site : https://plex.tv/downloads
J'ai dû régler les droits ensuite du répertoire /var/lib/plexmediaserver

$ sudo chown -R plex:plex /var/lib/plexmediaserver

Puis en me connectant sur http://plex.tv/web/app avec Chrome et l'extension Chromecast, je peux diffuser sur ma TV mes vidéos, photos, musiques et on peut également installer des apps comme Youtube, Dailymotion ... sous l'onglet Chaînes

Ca marche nickel !!!

une autre bidouille aussi que j'ai dû faire pour lire les médias sur mon disque dur externe.
Plex n'avait pas les droits de lecture en écrivant directement une ligne dans /etc/fstab pour monter le disque en ntfs en lecture pour tous !!!

Un truc de ce genre :

UUID=0CF9EEA3132E0C37	/media/medias ntfs-3g defaults,auto,uid=1000,gid=126,umask=002 0 0

Mais ça m'oblige à avoir le dique branché au boot ou d'appuyer sur S pour continuer le boot.
Faut que je trouve une autre solution

#1 Re : -1 »  Chromecast, Ubuntu et le libre en général » Le 31/08/2014, à 22:01

patfrat
Réponses : 20

Bubble uPnP, oui, je l'ai également sur Android sur mon smartphone et il fonctionne bien avec Plex et le Chromecast.
Plex fonctionne aussi comme un serveur multimédia DLNA.
Donc en gros, tu fais tourner Plex sur ton pc en tâche de fond. Tu prends ton smartphone pour choper la liste des fichiers que Plex mets à disposition et t'envoies en lecture sur la Chromecast branchée sur la TV.
Pour info, j'utilise Plex gratuitement et légalement. L'option Chromecast de Plex est gratuite depuis un moment déjà. La partie payante, le Plex Pass, nesert qu'à pouvoir mettre ses fichiers dans le cloud et accessibles en dehors de la maison.
Gratuit aussi, il est possible de partager avec des amis ses fichiers en lecture ...
Pour voir ce qui est possible : https://plex.tv/features

#2 Re : -1 »  Chromecast, Ubuntu et le libre en général » Le 01/09/2014, à 09:09

patfrat
Réponses : 20
SangokuSS a écrit :

Le problème, comme je le souligne depuis mon premier pessage, c'est l'incompatibilité avec Debian (comme pour Bubble). Car sans doute faut-il que je le redise : mon serveur ne tourne pas sous Ubuntu ! wink

Ok, j'avais zappé ce fait.
Je testerai sous Debian pour voir ce qui coince ... j'ai aussi du Debian chez moi.
Je ferai le retour ici si j'arrive à installer Plex dessus

#3 Re : -1 »  plugin flash a planté ! ça recommence ! » Le 11/05/2013, à 22:24

patfrat
Réponses : 150

Pour ma part, j'ai installé la version de flash 11.1 car le pc sur lequel je devais installer Flash n'est plus supporté.
Voir ici : http://wiki.debian.org/fr/FlashPlayer

Adobe a abandonné la prise en charge des processeurs sans SSE2 avec Linux (on peut vérifier la présence de SSE2 avec la commande "grep ^flags /proc/cpuinfo" les lettres "sse2" devraient apparaître dans la liste) dans une révision mineure de Flashplayer 11. Le lecteur continue à s'installer, mais il plante quand il est appelé. Cela affecte surtout les plus anciens processeurs 32bits d'AMD

J'ai bien sse dans le résultat ! zut !

J'ai donc procédé de la manière suivante.
Téléchargement de la version 11.1 dans les archives d'Adode :
http://helpx.adobe.com/fr/flash-player/ … html#Flash Player archives

Le lien direct : http://fpdownload.macromedia.com/get/fl … rchive.zip

Pendant ce temps, si vous ne l'avez pas fait. Installez le paquet flashplugin-nonfree même si il ne marchera pas.
Il créera un dossier /usr/lib/flashplugin-nonfree contenant le fichier libflashplayer.so que nous remplacerons.

Une fois l'archive 11.1 téléchargées, j'ai dézippé l'archive puis suis aller chercher dans le dossier suivant pour mon pc en 32bits
/home/VOTRE_USER/Téléchargements/fp_11.1.102.63_archive/11_1r102_63_32bit/
J'ai dézipper flashplayer11_1r102_63_linux.i386.tar.gz
Je suis allé dans le dossier flashplayer11_1r102_63_linux.i386
Puis clic droit sur libflashpayer.so > envoyez vers le dossier personnel

J'ai ouvert ensuite un terminal en étant dans mon dossier personnel contenant le fichier précédemment copié et j'ai tapé ceci :

$ sudo cp /usr/lib/flashplugin-nonfree/libflashpayer.so /usr/lib/flashplugin-nonfree/libflashpayer.so.troprecent
$ sudo cp libflashpayer.so /usr/lib/flashplugin-nonfree/

Fermez ou réouvrez votre navigateur (Chrome pour ma part) et hop, flash 11.1 qui fonctionne partout.

J'ai pris la précaution aussi de bloquer la mise à jour de ce plugin via synaptic ... ou sinon essayez via la doc
apt-get section #bloquer_la_mise_a_jour_d_un_paquet

Voilà, donc, pour les vieux pc ... flash 11.1 est la dernière version qui fonctionnera.
Vivement la fin de Flash et la toute puissance d'HTML5.

Autre solution : achetez un pc récent !

#4 Re : -1 »  plugin flash a planté ! ça recommence ! » Le 12/05/2013, à 16:55

patfrat
Réponses : 150
eme a écrit :

Bonjour Patfrat,
Est-ce que je peux essayer ta méthode sous pangolin?

Salut. Oui, ça doit fonctionner.
Il faut simplement remplacer libflashplayer.so là où il est par celui téléchargé
J'ai fait ça récemment sur une Debian 7 aussi.

#5 Re : -1 »  Empathy+google talk (gmail) = connection aléatoire sur ubuntu 12.10 » Le 15/05/2013, à 08:55

patfrat
Réponses : 2

Salut
J'avais des soucis aussi entre Empathy et mon compte Google.
Il faut en fait virer tout ce qui a attrait à Ubuntu dans https://www.google.com/settings/security > gérer l'accès (tout en bas)
Supprimer donc tous les liens Ubuntu.
Virer le compte en ligne dans Ubuntu et le recréer. Valider les demandes d'autorisations de google et voilà.
Plus de conflits ... tout du moins pour moi pour le moment.

#6 Re : -1 »  Projet deploiement a l'ecole primaire. » Le 20/10/2012, à 00:17

patfrat
Réponses : 30

Salut.
Je déterre un peu le sujet mais j'ai un peu d'expérience à partager à ce niveau.
Pour ma part, j'ai installé un serveur Ubuntu avec interface graphique et deux clients légers (vieux pcs sans disque dur, peu de ram, du recyclage quoi) dans une classe maternelle. Récemment internet est arrivé ... il a fallu adapter le serveur avec une carte réseau de plus, une pour internet, l'autre pour les clients légers ...
Et puis ... il faut surtout sécuriser l'accès à internet ... chose qu'il me reste à faire avec un ATICE avec autorisation de la Mairie et de Mr l'Inspecteur ... bref !
Je dis çà car il faut savoir que l'informatique à l'école est soumise à certaines contraintes (autorisations hiérarchiques préalables, protocoles d'action, sécurisation ...) et qu'il existe aussi des enseignants spécialisés dans l'Education Nationale (ATICE: Animateurs des Technologies de l'Information et de la Communication pour l'Enseignement) qu'il vaut mieux contacter avec le professeur des écoles avant d'agir.
De plus la mairie est à mettre dans le lot des "autorisations et protocoles"
Et oui, on ne fait pas forcément ce que l'on veut même si souvent on fait ce que l'on peut ...
Et non, je ne suis ni professeur, ni ATICE ... juste un informaticien en entreprise privée, passionné par linux et les logiciels libre et fan d'Ubuntu à ses premières heures ...

Sinon, pour le côté linux, clients légers, sécurité et respect des "protocoles", vous pouvez vous orienter vers des solutions comme AbulEdu : http://abuledu.org/
Abuledu propulsé par Ubuntu wink
C'est d'ailleurs ce système que je vais remettre en place je pense pour le côté contraintes à respecter pour l'Ecole Numérique Rurale.
Du moment où vous avez un accès à Internet, vous devez parler Firewall, Proxy, Antivirus (oui, même sous linux), Identification, Archivages, Logs ... pfiou
Aussi, ne vous lancez pas là dedans sans vous mettre en relation avec tous les acteurs officiels du secteur et ...
si l'ATICE est sympa, vous pourrez coopérer ensemble à l'installation de tout cela ... smile

Où en est votre projet au fait ?

#7 Re : -1 »  Projet deploiement a l'ecole primaire. » Le 23/10/2012, à 22:12

patfrat
Réponses : 30

Philip, concernant AbulEdu, je vais essayer de tester la version 8.08 serveur en virtualisé et je te ferai des retours ici.
J'aurai bien aimé tester la dernière version mais elle n'est pas dispo en téléchargement.

Pour ma part, l'installation que j'ai réalisé sur Ubuntu avec clients légers, je m'étais inspiré d'AbulEdu mais à l'époque je n'avais pas de connexion internet sur cette installation. Maintenant que c'est le cas, il faut sécuriser l'accès. Je pense donc remplacer mon installation par AbulEdu pour me faciliter la tâche.
AbulEdu intègre un peu plus d'outils qu'un simple Ubuntu. Notamment la partie webadmin qui permet de gérer la configuration du système via une interface web.
C'est assez pratique. On peut apparemment en voir une démo là : http://servecole.abuledu.info/

Sinon, j'essayes aussi de voir côté sécurisation de l'accès à internet via un proxy académique ou via un proxy local (Squid + Squidgard)
Voir http://eduscol.education.fr/pid25770-ci … elles.html
Le tout est d'avoir une liste noire sur laquelle se greffer.
Ce serait tout de même bien que l'Education Nationale propose des proxys académiques non ? C'est peut-être déjà le cas mais j'ai l'impression que ce n'est pas généralisé !

Sinon, la dernière circulaire du gouvernement devrait un peu booster l'adoption de linux et des logiciels libres dans l'Administration Publique et donc dans les Ecoles ... mais peut-être que je suis un grand rêveur ?!?
Voir http://circulaire.legifrance.gouv.fr/pd … _35837.pdf

#9 Re : -1 »  Ubuntu 11.04 est disponible ! (venez poster vos retours d'expérience) » Le 05/05/2011, à 11:32

patfrat
Réponses : 823

Bon, j'ai fait une petite démo à un copain qui est simple utilisateur et ça l'a tout de suite plu ...
Comme quoi ? Moi qui croyais que ça allait rebuté les noobs ... en fait, ça plait !

#10 Re : -1 »  Ubuntu 11.04 est disponible ! (venez poster vos retours d'expérience) » Le 05/05/2011, à 16:02

patfrat
Réponses : 823

vu sur http://www.gnome3.org/faq.html
Gnome2 sera encore supporté dans les années à venir mais ne recevra plus de mises à jours majeures.

GNOME 2 had a long life, and parts of it became difficult to maintain over that period. As a result, continued releases of the entire GNOME 2 desktop was never a practical option for the GNOME Project, and several parts of the old GNOME 2 desktop will not receive new releases after GNOME 3 is released. The traditional GNOME 2 desktop will not disappear overnight, however: releases of GNOME 2 will continue to be supported by distributions for years to come.

J'ai voulu tester Gnome3 sous Virtualbox avec Ubuntu 11.04 et les ppa Gnome Remix mais la 3D ne marche pas ... snif ... vais me graver un livecd Fedora pour la peine tongue

#11 Re : -1 »  LTSP: clients légers, retour d'expériences » Le 05/09/2011, à 22:56

patfrat
Réponses : 20

Bonjour,
Je déterre ce vieux sujet mais j'ai besoin de votre aide.
J'ai suivi la doc suivante : http://doc.ubuntu-fr.org/ltsp_version_5.x
J'ai installé le serveur il y a quelque temps (version 9.04) sur un pc actuel et ai recyclé deux vieux pc d'avant guerre en client léger.
Je les ai relié à un switch. Jusque là, pas de problème, boot en pxe et zou ... roule ma poule.
J'ai installé ça pour une école maternelle.
Hors depuis peu, la maternelle a été connectée au Net via une livebox pro située au primaire, bâtiment d'à côté.
Le switch a été déplacé près de l'arrivée du câble prévu pour relier la maternelle au réseau du primaire connecté au Net.
Et des prises réseaux murales ont été placées dans les classes, elles mêmes reliées au switch.
Là, l'adresse par défaut du serveur ltsp 192.168.0.1 était en conflit avec la livebox pro.
J'ai modifié la config ip de la livebox pro en 192.168.0.2
Hop, une premier client léger a réussi à se connecter et le serveur ltsp, lui, connecté au Net via la livebox pro 192.168.0.2 en passerelle. Nickel !
Mais, car il y a un mais ... j'ai beau essayer de connecter un deuxième client léger ... rien, au boot pxe, il ne trouve pas le serveur.
J'ai testé avec deux mini pcs que j'avais sous le coude (linutop 1 et linutop 2) idem ... pas moyen !
J'ai reconstruit l'image ltsp sur le serveur ... toujours pareil.
Est-ce que quelqu'un saurait comment configurer un serveur ltsp dans un environnement du type que je rencontre, avec une livebox pro en passerelle ?
Merci

#12 Re : -1 »  LTSP: clients légers, retour d'expériences » Le 06/10/2011, à 14:33

patfrat
Réponses : 20

J'allais y revenir justement ... j'ai réussi.
Après mise à jour en 10.04 du serveur LTPS, j'ai refait la config en déclarant le DHCP du serveur en non authoritative.
Et il faut également regénérer les clés ssh et l'image ltsp quand on change de réseau apparemment ...
Et voilà, ça roule ... je n'ai pas mes fichiers de conf sous la main sinon je les aurai posté là.
En gros, j'ai remis la livebox à son adresse 192.168.0.1, le serveur LTSP en 192.168.0.2 avec ip bloquée dessus dans la conf livebox également
Le DHCP en non authoritative et j'ai déclaré dans le DHCP du serveur LTSP de servir sur le réseau 192.168.0.0 mais dans une plage IP (220-254) en dehors de celle qui est configuré dans la livebox pro (20-50)
Ca roule !

#13 Re : -1 »  LTSP: clients légers, retour d'expériences » Le 28/10/2011, à 15:40

patfrat
Réponses : 20

@deliril : je t'en prie et si tu coinces, n'hésites pas à me contacter via ce forum
A+ wink

#14 Re : -1 »  Ubuntu 11.10 > unity > nvidia > plus menu haut, ni contours fenêtres » Le 17/10/2011, à 10:35

patfrat
Réponses : 9

Salut,
J'ai fait la maj 11.04 > 11.10 sans trop de soucis, mis à part Flash Player mais une mise à jour ubufox vient de passer et à résolu mon problème.
Par contre, plus moyen de passer en Twinview pour du dualscreen avec Nvidia ! ça plante unity, les décorations de fenêtres ... la misère.
Mais en regardant dans les pilotes propriétaires, je vois un driver noté current-update alors que je suis sur la version notée current ...
Je n'ose pas encore passer à la current-updates .... peut-être est-ce la solution à mes plantages ?
Est-ce que quelqu'un d'autre à les mêmes problèmes que nous ?

#15 Re : -1 »  Ubuntu 11.10 > unity > nvidia > plus menu haut, ni contours fenêtres » Le 17/10/2011, à 20:13

patfrat
Réponses : 9

Bah moi je vais opter pour un backup et une réinstallation toute fraîche.
J'ai aussi des soucis avec Evolution qui m'a passer d'une mbox à Maildir et m'a foutu la zone ...
A chaque fois que j'envois un mail, il me dit envoyé mais pas ranger dans le dossier mailbox#Sent ...
Puis mes fenêtres de tchat qui ne s'ouvre pas au premier plan
sans compter nvidia et le dual screen ... bref, ça va pas faire de mal de tout remettre à zéro.

#16 Re : -1 »  Ubuntu 11.10 > unity > nvidia > plus menu haut, ni contours fenêtres » Le 20/10/2011, à 10:04

patfrat
Réponses : 9

Bon, pour moi, les dernières mises à jour ont quelque peu résolu mon problème Nvidia... ça déconne enre un peu mais j'arrive enfin à avoir le dualscreen.
Faut juste que je chope la fenêtre de validation une fois que l'affichage est revenu à la normale... et j'ai 5s pour le faire !!!
Sinon, j'ai toujours mon soucis de dossier Evolution qui a été mal mis à jour et à chaque fois que j'envoies un mail, il part mais evolution me fait un erreur derrière me disant qu'il n'a pas pu placer le mail dans le dossier #Sent et qu'il l'a placé dans le dossier "Sur cet ordinateur" > Envoyés !
Mouais, je vais faire un petit dpkg-reconfigure ou un truc dans le genre ... tant pis pour mes archives, je ne les regarde jamais

#17 Re : -1 »  [Résolu]Pour mettre Firefox 5 en français » Le 16/06/2011, à 23:49

patfrat
Réponses : 19

Merci !
Je viens d'y passer ... mon ubuntu 11.04 ne m'avertit pas des mises à jour et du coup, je viens d'en passer une tonne avec pour résultat un Firefox 5 non Beta apparemment ?!? mais à moitié traduit ... donc merci pour le fr.xpi, ça marche !

#18 Re : -1 »  Empathy et Facebook, depuis màj vers 11.04 » Le 05/05/2011, à 11:00

patfrat
Réponses : 13

Apparemment, maintenant il suffit de créer un compte xmpp/jabber sur chat.facebook.com sans besoin de plugin
J'ai testé, çà marche.
Par contre, moi, j'ai un soucis depuis la mise à jour de 10.04 à 11.04
Empathy ne garde pas mes modifications comme l'acceptation de certificats SSL ou la réassignation de contacts à des groupes.
Problèmes de droits qq part ou bug ? faut que j'enquête.

#19 Re : -1 »  Empathy et Facebook, depuis màj vers 11.04 » Le 05/05/2011, à 15:45

patfrat
Réponses : 13

ton_login_facebook@chat.facebook.com
ton mot de passe facebook
puis dans les réglages avancés du compte
serveur: chat.facebook.com
port : 5222 (déjà par défaut)
voilà

#20 Re : -1 »  Empathy et Facebook, depuis màj vers 11.04 » Le 05/05/2011, à 16:22

patfrat
Réponses : 13

Si t'es derrière un firewall, en entreprise, c'est peut-être la raison de ce problème ?!?

#21 Re : -1 »  [Résolu] Unity et Super+D ne fonctionne pas » Le 02/05/2011, à 22:18

patfrat
Réponses : 8

Alors qu'est-ce qui cloche sur le mien ... une ancienne config de compiz qui pose problème ?

#22 Re : -1 »  [Résolu] Unity et Super+D ne fonctionne pas » Le 02/05/2011, à 22:29

patfrat
Réponses : 8

Trouvé : compiz options générales
Super+D réaffectation

#23 Re : -1 »  Problème GRUB après MAJ de 10.10 vers 11.04 » Le 02/05/2011, à 21:25

patfrat
Réponses : 4

bizarre c'est comme si tu ne bootais pas sur le bon disque ?
et avec ce tuto ? https://help.ubuntu.com/community/Creat … terInstall

#24 Re : -1 »  Problème GRUB après MAJ de 10.10 vers 11.04 » Le 02/05/2011, à 21:26

patfrat
Réponses : 4

Peut-être un problème de flag de boot qui n'est pas sur la bonne partition ?